/store-checkout-drafts-delete-one¶
Summary¶
Source repository:
jef-systems/jef-store-backendSource SHA:
8aeea2418405bc456b822b328ee67dbf6f3df16cSource run id:
25872690726Lambda function:
jef-store-checkout-drafts-delete-oneHTTP method:
DELETEAPI path:
/store-checkout-drafts-delete-oneEndpoint URL:
https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-drafts-delete-onePayload mode:
json-body
Description¶
Function: jef-store-checkout-drafts-delete-oneModule: jef-storeAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /store-checkout-drafts-delete-oneTable: jef-store-checkout-draftsPrimary Key: checkout_draft_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
checkout\_draft\_id: 14045a50-d0ee-4dc3-89ea-9f79248a24e5
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.checkout_draft_id.type",
"value": "S"
},
{
"key": "root.attributes.checkout_draft_id.required",
"value": "True"
},
{
"key": "root.attributes.checkout_draft_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.checkout_draft_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "checkout_draft_id",
"value": "14045a50-d0ee-4dc3-89ea-9f79248a24e5"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-drafts-delete-one" -H "Content-Type: application/json" --data-raw "{\"checkout_draft_id\": \"14045a50-d0ee-4dc3-89ea-9f79248a24e5\"}"
PowerShell curl¶
curl.exe -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-drafts-delete-one" -H "Content-Type: application/json" --data-raw '{"checkout_draft_id": "14045a50-d0ee-4dc3-89ea-9f79248a24e5"}'